<template>
  <div class="info-modal fixed inset-0 z-10" @click="closeInfoModal">
    <div class="flex h-full justify-center items-center">
      <div
        id="infoModalContent"
        class="info-modal__content animated-modal xs:w-full xs:rounded-t-32 xs:rounded-b-none xs:fixed bottom-0 left-0 rounded-32 bg-bgdsec xs:rounded-none"
        @click.stop
      >
        <div class="flex flex-col items-center p-8 pt-16 xs:px-4 xs:pt-12">
          <img width="56" height="56" src="@/assets/images/info-modal/success.svg" />
          <p
            class="text-center text-txtdprim text-2xl leading-7 font-bold mt-8"
            v-html="$t(`info-modal.${infoModalText}`)"
          ></p>
          <p class="mt-4 text-txtdsec font-medium leading-5 text-center">{{ $t('info-modal.thank') }}</p>
          <UiButton color-type="secondary" class="mt-12 rounded-24 w-full" @click="closeInfoModal">
            {{ $t('info-modal.continue') }}
          </UiButton>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import UiButton from '@/components/ui/UiButton.vue';

export default {
  name: 'InfoModal',

  components: { UiButton },

  computed: {
    infoModalText() {
      return this.$store.state.system.infoModalText;
    },
  },

  methods: {
    closeInfoModal() {
      this.$store.commit('setInfoModalDisplay', { display: false });
    },
  },
};
</script>

<style lang="scss">
.info-modal {
  background: rgba(12, 21, 33, 0.64);

  &__content {
    width: 500px;

    @media (max-width: 600px) {
      max-height: calc(100vh - 75px);
    }
  }
}
</style>
